Mangools/API

See favorite links

Get a single favorite-link list together with the full data of every backlink it contains. Useful for rendering a saved backlink set in your UI.

GET
/linkminer/favorites/{list_id}

Authorization

ApiKeyAuth
x-access-token<token>

API token issued for your Mangools account, sent as an API key in the x-access-token HTTP header. This is NOT a standard RFC 6750 Authorization: Bearer <token> header. Auto-generated clients should be configured to send the token in x-access-token accordingly.

In: header

Path Parameters

list_id*string

list ID

Response Body

application/json

application/json

curl -X GET "https://api.mangools.com/v3/linkminer/favorites/string"
{
  "url_type": "URL",
  "available_links": 804,
  "links": [
    {
      "source": "https://sourceexample.com",
      "target": "https://targetexample.com",
      "title": "Linux Systems Analyst",
      "url": "https://targetexample.com",
      "type": "TextLink",
      "anchor": "targetexample.com",
      "last_crawl": "2021-04-07",
      "first_seen": "2021-04-07",
      "last_seen": "2021-04-07",
      "source_tf": 14,
      "source_cf": 14,
      "target_tf": 14,
      "target_cf": 14,
      "redirect": false,
      "frame": false,
      "no_follow": false,
      "image": false,
      "alt": false,
      "deleted": false,
      "reason_lost": "null",
      "category": "null",
      "lang": "en",
      "internal_links": 11,
      "external_links": 35,
      "fb": "null",
      "ar": "null",
      "ls": 35,
      "_id": "c1030729bd419e238a1e50351361fa56",
      "domainId": "sourceexample.com"
    }
  ]
}
{
  "error": {
    "type": "AuthError",
    "message": "Invalid API Key"
  }
}